BearSSL

Data Fields
br_ssl_client_certificate_ec_context Struct Reference

A single-chain EC client certificate handler. More...

`#include <bearssl_ssl.h>`

## Data Fields
const br_ssl_client_certificate_class * | vtable
| Pointer to vtable. More...

## Detailed Description

A single-chain EC client certificate handler.

This handler uses a single certificate chain, with a RSA signature. The list of trust anchor DN is ignored.

This handler may support both static ECDH, and ECDSA signatures (either usage may be selectively disabled).

Apart from the first field (vtable pointer), its contents are opaque and shall not be accessed directly.

## Field Documentation

## ◆ vtable

const br_ssl_client_certificate_class* br_ssl_client_certificate_ec_context::vtable

Pointer to vtable.

The documentation for this struct was generated from the following file:

- bearssl_ssl.h